clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::clangd::MemoryShardStorage Class Reference
Inheritance diagram for clang::clangd::MemoryShardStorage:
[legend]
Collaboration diagram for clang::clangd::MemoryShardStorage:
[legend]

## Public Member Functions
| MemoryShardStorage (llvm::StringMap< std::string > &Storage, size_t &CacheHits)
llvm::Error | storeShard (llvm::StringRef ShardIdentifier, IndexFileOut Shard) const override
std::unique_ptr< IndexFileIn > | loadShard (llvm::StringRef ShardIdentifier) const override
Public Member Functions inherited from clang::clangd::BackgroundIndexStorage
virtual | ~BackgroundIndexStorage ()=default

## Public Attributes
llvm::StringSet | AccessedPaths

## Additional Inherited Members
Public Types inherited from clang::clangd::BackgroundIndexStorage
using | Factory = llvm::unique_function< BackgroundIndexStorage *(PathRef)>
Static Public Member Functions inherited from clang::clangd::BackgroundIndexStorage
static Factory | createDiskBackedStorageFactory (std::function< llvm::Optional< ProjectInfo >(PathRef)> GetProjectInfo)

## Detailed Description

Definition at line 48 of file BackgroundIndexTests.cpp.

## Constructor & Destructor Documentation

## ◆ MemoryShardStorage()

clang::clangd::MemoryShardStorage::MemoryShardStorage | ( | llvm::StringMap< std::string > & | Storage,
|  | size_t & | CacheHits
| ) |  |
| inline

Definition at line 54 of file BackgroundIndexTests.cpp.

## Member Function Documentation

## ◆ loadShard()

std::unique_ptr<IndexFileIn> clang::clangd::MemoryShardStorage::loadShard | ( | llvm::StringRef | ShardIdentifier | ) | const
| inline override virtual

Implements clang::clangd::BackgroundIndexStorage.

Definition at line 64 of file BackgroundIndexTests.cpp.

References AccessedPaths, and clang::clangd::readIndexFile().

## ◆ storeShard()

llvm::Error clang::clangd::MemoryShardStorage::storeShard | ( | llvm::StringRef | ShardIdentifier,
|  | IndexFileOut | Shard
| ) |  | const
| inline override virtual

Implements clang::clangd::BackgroundIndexStorage.

Definition at line 56 of file BackgroundIndexTests.cpp.

References AccessedPaths.

## Member Data Documentation

## ◆ AccessedPaths

llvm::StringSet clang::clangd::MemoryShardStorage::AccessedPaths
| mutable

Definition at line 80 of file BackgroundIndexTests.cpp.

Referenced by loadShard(), and storeShard().

The documentation for this class was generated from the following file:

- BackgroundIndexTests.cpp